clang-tools 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::clangd::Symbol::IncludeHeaderWithReferences Struct Reference

`#include <Index.h>`

Collaboration diagram for clang::clangd::Symbol::IncludeHeaderWithReferences:
[legend]

## Public Member Functions
| IncludeHeaderWithReferences ()=default
| IncludeHeaderWithReferences (llvm::StringRef IncludeHeader, unsigned References)

## Public Attributes
llvm::StringRef | IncludeHeader = ""
| This can be either a URI of the header to be #include'd for this symbol, or a literal header quoted with <> or "" that is suitable to be included directly. More...
unsigned | References = 0
| The number of translation units that reference this symbol and include this header. More...

## Detailed Description

Definition at line 207 of file Index.h.

## Constructor & Destructor Documentation

## ◆ IncludeHeaderWithReferences() [1/2]

clang::clangd::Symbol::IncludeHeaderWithReferences::IncludeHeaderWithReferences | ( |  | ) |
| default

## ◆ IncludeHeaderWithReferences() [2/2]

clang::clangd::Symbol::IncludeHeaderWithReferences::IncludeHeaderWithReferences | ( | llvm::StringRef | IncludeHeader,
|  | unsigned | References
| ) |  |
| inline

Definition at line 210 of file Index.h.

## Member Data Documentation

## ◆ IncludeHeader

llvm::StringRef clang::clangd::Symbol::IncludeHeaderWithReferences::IncludeHeader = ""

This can be either a URI of the header to be #include'd for this symbol, or a literal header quoted with <> or "" that is suitable to be included directly.

When it is a URI, the exact #include path needs to be calculated according to the URI scheme.

Note that the include header is a canonical include for the symbol and can be different from FileURI in the CanonicalDeclaration.

Definition at line 221 of file Index.h.

Referenced by llvm::yaml::MappingTraits< clang::clangd::Symbol::IncludeHeaderWithReferences >::mapping().

## ◆ References

unsigned clang::clangd::Symbol::IncludeHeaderWithReferences::References = 0

The number of translation units that reference this symbol and include this header.

This number is only meaningful if aggregated in an index.

Definition at line 224 of file Index.h.

Referenced by llvm::yaml::MappingTraits< clang::clangd::Symbol::IncludeHeaderWithReferences >::mapping().

The documentation for this struct was generated from the following file:

- Index.h